FreeBSD : git -- potential code execution (93ee802e-ebde-11e5-92ce-002590263bf5)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Debian reports :

'int' is the wrong data type for ... nlen assignment.

See also :

http://www.openwall.com/lists/oss-security/2016/03/15/6
https://marc.info/?l=oss-security&m=145809217306686&w=2
http://www.nessus.org/u?5fcac03e
https://security-tracker.debian.org/tracker/CVE-2016-2315
http://www.nessus.org/u?6fe7381d

Solution :

Update the affected package.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 89974 ()

Bugtraq ID:

CVE ID: CVE-2016-2315

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now